POST Agents/Targets/CreateDefaultTargetRevision
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/Targets/CreateDefaultTargetRevision
Loading default values into a new TargetRevision.
NsApiSlow threshold: 5000 ms.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: TargetRevision
| Property Name | Type | Description |
|---|---|---|
| LogEvent | string | Log event class (create, edit, delete, lock, unlock... |
| Who | Associate | Who made the change |
| When | date-time | Registered when in UTC. |
| Changes | array | Collection of changes |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Targets/CreateDefaultTargetRevision
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"LogEvent": "Create",
"Who": null,
"When": "2025-01-15T10:00:00+01:00",
"Changes": [
{
"FieldIdentifier": "Q1",
"ValueChangeFrom": 0,
"ValueChangeTo": 450000,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 221
}
}
},
{
"FieldIdentifier": "Q2",
"ValueChangeFrom": 0,
"ValueChangeTo": 500000,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 221
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 96
}
}
}